
QGIS Application - Bug report #523

Georeference tool

2007-01-08 10:38 AM - doug_newcomb-fws-gov -

Status: Closed

Priority: Low

Assignee: Magnus Homann

Category: Projection Support

Affected QGIS version: Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 10582

Description

Tried to georeference a jpeg image to EPSG 32119 projection. The output jgw file looked like this:

24.5335

0

0

-24.5335

nan

26052543469100656972793667356933792334551124445385671982001717765625696361250852

63230640588410366355387916037395507101170807331933447168232048026256148650314170

68255704400035347073092961720361697046386861456890565381992582038014706635298444

962359964072945413053455317431577487218906213975588864.000000

The qgis - generated points file :

mapX    mapY    pixelX  pixelY

551629.000000   119426.000000   1042.95 -1942.69

558297.000000   128803.000000   1320.27 -1560.28

561736.000000   142243.000000   1460.38 -1023.16

554963.000000   154641.000000   1185.99 -519.606

532042.000000   159226.000000   234.348 -329.862

539335.000000   147557.000000   536.478 -807.141

529333.000000   124635.000000   132.178 -1723.75

I converted the above y pixel coordinates from negative to positive and used the altered coordinates as gcp points in gdalwarp and got the

following correct world file:

24.4658442217

0.0000000000

0.0000000000

-24.4658442217

526378.6525011690

167601.3482739714

My simplistic assumption is that the qgis georeferencer is passing negative y coordinates for a jpeg file when they should be positive

instead.

History

#1 - 2007-01-27 11:18 AM - Magnus Homann

- Status changed from Open to In Progress
Is it possible to supply the image?

#2 - 2007-01-29 07:07 AM - doug_newcomb-fws-gov -

Tried to add the original jpeg file, but was too large at 3.2 MB

#3 - 2007-01-31 10:24 AM - Magnus Homann

We had some issues where if proejction was turned on when you entered georeference tools, it wouldn't work. have you tried turning off projection?

Also, if you have the possibility try downloading the latest from SVN and try it there. I have done some work with it.

If this does/does not work, let me know. There is nothnig bad with negative coordinates as I see it (0,0) is upper left pixel according to world file

specification. What happens if you use gdalwarp with the negative coordinates?

#4 - 2007-01-31 11:08 AM - doug_newcomb-fws-gov -

I can go back and check, but I as I recall using negative line numbers with GCPs caused the image to flip upside down.  ( I had tried it with a tiff version of

the file as well)

the world file associated had the following contents:

24.6106913661

0.0000000000

0.0000000000

-24.6106913661

526364.0265134282

221911.9794584604

With a negative y pixel size

I thought image specs in general had the 0,0 in the upper left hand corner and positive x going right and positive y going down?

#5 - 2007-01-31 01:30 PM - Magnus Homann

The points in the .points file are in an internal format, and we do not use GDAL to generate world file. Have you tried to turn off projection?

See also #560

#6 - 2007-02-03 01:01 PM - Magnus Homann

- Status changed from In Progress to Closed

- Resolution set to fixed

Fixed in  / . Uninitialized variables made win32 behave differently.

#7 - 2007-02-05 04:43 AM - doug_newcomb-fws-gov -

Thanks!
#8 - 2009-08-22 12:51 AM - Anonymous

Milestone Version 0.8.1 deleted

Files

PE_rockingham_westend.jpg.points 339 Bytes 2007-01-29 doug_newcomb-fws-gov -
